## ignition-transport 0.8.1+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

set(IGN_PROJECT_NAME "transport")

project (ignition-${IGN_PROJECT_NAME})
string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

set (PROJECT_MAJOR_VERSION 0)
set (PROJECT_MINOR_VERSION 8)
set (PROJECT_PATCH_VERSION 1)

set (PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION})
set (PROJECT_VERSION_FULL ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${PROJECT_VERSION_FULL}")

set (project_cmake_dir ${PROJECT_SOURCE_DIR}/cmake
  CACHE PATH "Location of CMake scripts")

include (${project_cmake_dir}/Utils.cmake)

##########
# Package Creation:
include (${project_cmake_dir}/cpack.cmake)
set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_FULL}")
set (CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_MAJOR_VERSION}")
set (CPACK_PACKAGE_VERSION_MINOR "${PROJECT_MINOR_VERSION}")
set (CPACK_PACKAGE_VERSION_PATCH "${PROJECT_PATCH_VERSION}")

if (CPACK_GENERATOR)
  message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")

  configure_file("${project_cmake_dir}/cpack_options.cmake.in"
    ${PROJECT_CPACK_CFG_FILE} @ONLY)

  set(CPACK_PROJECT_CONFIG_FILE ${PROJECT_CPACK_CFG_FILE})
  include (CPack)
endif()

# If we're configuring only to package source, stop here
if (PACKAGE_SOURCE_ONLY)
  message(WARNING "Configuration was done in PACKAGE_SOURCE_ONLY mode."
  "You can build a tarball (make package_source), but nothing else.")
  return()
endif()

#################################################
# Documentation:
add_subdirectory(doc)

# If we're configuring only to build docs, stop here
if (DOC_ONLY)
  message(WARNING "Configuration was done in DOC_ONLY mode."
  " You can build documentation (make doc), but nothing else.")
  return()
endif()

enable_testing()

# Use GNUInstallDirst to get canonical paths
include(GNUInstallDirs)

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()


set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/ignition")
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR})

set (USE_FULL_RPATH OFF CACHE BOOL "Set to true to enable full rpath")

if (USE_FULL_RPATH)
  # use, i.e. don't skip the full RPATH for the build tree
  set(CMAKE_SKIP_BUILD_RPATH  FALSE)

  # when building, don't use the install RPATH already
  # (but later on when installing)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")

  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

  # the RPATH to be used when installing, but only if its not a system directory
  list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}" isSystemDir)
  if("${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
  endif("${isSystemDir}" STREQUAL "-1")
endif()

set (BUILD_IGNITION ON CACHE INTERNAL
  "Build Ignition ${IGN_PROJECT_NAME}" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)

include (${project_cmake_dir}/DissectVersion.cmake)

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
include (${project_cmake_dir}/SearchForStuff.cmake)
message (STATUS "----------------------------------------\n")

#####################################
MESSAGE(STATUS "Checking ignition build type")
# Set the default build type
if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo Profile Check" FORCE)
endif (NOT CMAKE_BUILD_TYPE)
# TODO: still convert to uppercase to keep backwards compatibility with
# uppercase old supported and deprecated modes
string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_UPPERCASE)

set (BUILD_TYPE_PROFILE FALSE)
set (BUILD_TYPE_RELEASE FALSE)
set (BUILD_TYPE_RELWITHDEBINFO FALSE)
set (BUILD_TYPE_DEBUG FALSE)

if ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "PROFILE")
  set (BUILD_TYPE_PROFILE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELEASE")
  set (BUILD_TYPE_RELEASE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELWITHDEBINFO")
  set (BUILD_TYPE_RELWITHDEBINFO TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "DEBUG")
  set (BUILD_TYPE_DEBUG TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  include (${project_cmake_dir}/CodeCoverage.cmake)
  set (BUILD_TYPE_DEBUG TRUE)
  SETUP_TARGET_FOR_COVERAGE(coverage ctest coverage)
else()
  build_error("CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} unknown. Valid options are: Debug Release RelWithDebInfo Profile Check")
endif()

#####################################
# Handle CFlags
unset (CMAKE_C_FLAGS_ALL CACHE)
unset (CMAKE_CXX_FLAGS CACHE)

# USE_HOST_CFLAGS (default TRUE)
# Will check building host machine for proper cflags
if(NOT DEFINED USE_HOST_CFLAGS OR USE_HOST_CFLAGS)
  message(STATUS "Enable host CFlags")
  include (${project_cmake_dir}/HostCFlags.cmake)
endif()

# USE_UPSTREAM_CFLAGS (default TRUE)
# Will use predefined ignition developers cflags
if(NOT DEFINED USE_UPSTREAM_CFLAGS OR USE_UPSTREAM_CFLAGS)
  message(STATUS "Enable upstream CFlags")
  include(${project_cmake_dir}/DefaultCFlags.cmake)
endif()

# Check if warning options are avaliable for the compiler and return WARNING_CXX_FLAGS variable
if (MSVC)
  set(WARN_LEVEL "/W4")

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  # Handling exceptions rightly
  set(UNFILTERED_FLAGS "/EHsc")
else()
  # Equivalent to Wall (according to man gcc) but removed the unknown pragams since we use
  # MSVC only pragmas all over the code
  list(APPEND WARN_LEVEL -Waddress -Warray-bounds -Wcomment -Wformat -Wnonnull)
  list(APPEND WARN_LEVEL -Wparentheses -Wreorder -Wreturn-type)
  list(APPEND WARN_LEVEL -Wsequence-point -Wsign-compare -Wstrict-aliasing)
  list(APPEND WARN_LEVEL -Wstrict-overflow=1 -Wswitch -Wtrigraphs -Wuninitialized)
  list(APPEND WARN_LEVEL -Wunused-function -Wunused-label -Wunused-value)
  list(APPEND WARN_LEVEL -Wunused-variable -Wvolatile-register-var)

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  set(UNFILTERED_FLAGS "-Wc++11-compat")
endif()

filter_valid_compiler_warnings(${WARN_LEVEL} -Wextra -Wno-long-long
  -Wno-unused-value -Wno-unused-value -Wno-unused-value -Wno-unused-value
  -Wfloat-equal -Wshadow -Winit-self -Wswitch-default
  -Wmissing-include-dirs -pedantic -Wno-pragmas)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}${WARNING_CXX_FLAGS} ${UNFILTERED_FLAGS}")

#################################################
# OS Specific initialization
if (UNIX)
  ign_setup_unix()
else (WIN32)
  ign_setup_windows()
endif()

if(APPLE)
  ign_setup_apple()
endif()

#################################################
# Print warnings and errors
if ( build_warnings )
  message(STATUS "BUILD WARNINGS")
  foreach (msg ${build_warnings})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD WARNINGS\n")
endif (build_warnings)

########### Add uninstall target ###############
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

if (build_errors)
  message(STATUS "BUILD ERRORS: These must be resolved before compiling.")
  foreach (msg ${build_errors})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD ERRORS\n")
  message (FATAL_ERROR "Errors encountered in build. "
      "Please see the BUILD ERRORS above.")
else (build_errors)

  ########################################
  # Write the config.hh file
  configure_file (${project_cmake_dir}/config.hh.in
    ${PROJECT_BINARY_DIR}/include/ignition/${IGN_PROJECT_NAME}/config.hh)
  ign_install_includes(${IGN_PROJECT_NAME}
    ${PROJECT_BINARY_DIR}/include/ignition/${IGN_PROJECT_NAME}/config.hh)

  include_directories(
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_BINARY_DIR}/include
  )
  link_directories(${PROJECT_BINARY_DIR}/src)

  if (DEFINED CMAKE_CXX_FLAGS)
    message (STATUS "Custom CFlags:${CMAKE_CXX_FLAGS}")
  else()
    message (STATUS "Use default CFlags")
  endif()
  message (STATUS "Build Type: ${CMAKE_BUILD_TYPE}")
  message (STATUS "Install path: ${CMAKE_INSTALL_PREFIX}")

  if (BUILD_IGNITION)
    set(TEST_TYPE "UNIT")
    add_subdirectory(test/msg)
    add_subdirectory(src)
    add_subdirectory(include)
    add_subdirectory(conf)
    add_subdirectory(tools)
    add_subdirectory(test)
  endif (BUILD_IGNITION)

  ########################################
  # Make the package config files
  configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/pkgconfig/ignition.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${PROJECT_NAME_LOWER}.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${PROJECT_NAME_LOWER}.pc
    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
    COMPONENT pkgconfig)

  ########################################
  # Make the cmake config files
  set(PKG_NAME ${PROJECT_NAME_UPPER})
  set(PKG_LIBRARIES ${PROJECT_NAME_LOWER})
  set(PKG_DEPENDS Protobuf)

  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/ignition-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}-config.cmake" @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}-config.cmake
    DESTINATION ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}
    COMPONENT cmake)

  ########################################
  # If present, load platform-specific build hooks.  This system is used,
  # for example, by the Ubuntu overlay, to arrange for installation of
  # Ubuntu-specific application-launching configuration.
  if (EXISTS ${PROJECT_SOURCE_DIR}/cmake/packager-hooks/CMakeLists.txt)
    message(STATUS "Loading packager build hooks from cmake/packager-hooks")
    add_subdirectory(cmake/packager-hooks)
  endif()

  message(STATUS "Configuration successful. Type make to compile
  ${PROJECT_NAME_LOWER}")
endif(build_errors)

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the Ignition_Transport library
find_package(ignition-transport QUIET REQUIRED)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-TRANSPORT_CXX_FLAGS}")

include_directories(${IGNITION-TRANSPORT_INCLUDE_DIRS})
link_directories(${IGNITION-TRANSPORT_LIBRARY_DIRS})

#Find the cppzeromq
find_path(cppzmq_INCLUDE_DIRS 
          zmq.hpp 
	  PATHS 
	   ${zmq_INCLUDE_DIRS}
	   ${CPPZMQ_HEADER_PATH})

if (NOT cppzmq_INCLUDE_DIRS)
  message(STATUS "cppzmq header file was not found")
  BUILD_ERROR("cppzmq header file was not found")
else()
  message(STATUS "cppzmq file - found")
  include_directories(${cppzmq_INCLUDE_DIRS})
endif()

# Find the ZeroMQ library
include (${PROJECT_SOURCE_DIR}/../cmake/FindZeroMQ.cmake)

if (NOT ZeroMQ_FOUND)
  BUILD_ERROR ("zmq not found, Please install zmq")
else ()
  include_directories(${ZeroMQ_INCLUDE_DIRS})
  link_directories(${ZeroMQ_LIBRARY_DIRS})
endif ()

add_subdirectory(msg)

set_source_files_properties(${PROTO_SRC} ${PROTO_HEADER} PROPERTIES
                            GENERATED TRUE)
include_directories(${CMAKE_BINARY_DIR})

set (EXAMPLES_LIBS ${IGNITION-TRANSPORT_LIBRARIES}
                   ${ZeroMQ_LIBRARIES}
                   ${PROTOBUF_LIBRARY})
if (MSVC)
  # same filename for 64bits version of Ws2
  set(EXAMPLES_LIBS ${EXAMPLES_LIBS} 
                    Ws2_32.lib
                    Iphlpapi.lib)
endif()

add_executable(publisher publisher.cc ${PROTO_SRC})
target_link_libraries(publisher ${EXAMPLES_LIBS})
add_dependencies(publisher protobuf_compilation)

add_executable(subscriber subscriber.cc ${PROTO_SRC})
target_link_libraries(subscriber ${EXAMPLES_LIBS})
add_dependencies(subscriber protobuf_compilation)

add_executable(responser responser.cc ${PROTO_SRC})
target_link_libraries(responser ${EXAMPLES_LIBS})
add_dependencies(responser protobuf_compilation)

add_executable(requester requester.cc ${PROTO_SRC})
target_link_libraries(requester ${EXAMPLES_LIBS})
add_dependencies(requester protobuf_compilation)

add_executable(requester_async requester_async.cc ${PROTO_SRC})
target_link_libraries(requester_async ${EXAMPLES_LIBS})
add_dependencies(requester_async protobuf_compilation)

if (MSVC)
# Copy the ZMQ DLLs.
  add_custom_command(TARGET publisher POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
      "../../../ZeroMQ 3.2.4/bin/libzmq-v120-mt-3_2_4.dll"
      $<TARGET_FILE_DIR:publisher> VERBATIM)
  
  add_custom_command(TARGET publisher POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
      "../../../ZeroMQ 3.2.4/bin/libzmq-v120-mt-gd-3_2_4.dll"
      $<TARGET_FILE_DIR:publisher> VERBATIM)
endif()

=== src/CMakeLists.txt ===
include (${project_cmake_dir}/Utils.cmake)

set (sources
  Discovery.cc
  ign.cc
  NetUtils.cc
  Node.cc
  NodeShared.cc
  Packet.cc
  Publisher.cc
  TopicUtils.cc
  Uuid.cc
)

set (gtest_sources
  Discovery_TEST.cc
  HandlerStorage_TEST.cc
  Node_TEST.cc
  Packet_TEST.cc
  Publisher_TEST.cc
  TopicStorage_TEST.cc
  TopicUtils_TEST.cc
  Uuid_TEST.cc
)

set_source_files_properties(${PROTO_SRC} ${PROTO_HEADER} PROPERTIES
                            GENERATED TRUE)
include_directories(${CMAKE_BINARY_DIR}/test/)

ign_build_tests(${gtest_sources})

if (UNIX)
  ign_add_library(${PROJECT_NAME_LOWER} ${sources})
elseif(WIN32)
  # Probotuf compilation is recommended and configured for a STATIC .lib
  # Not mixing static and shared and just build ignition transport as STATIC
  # on Windows
  add_library(${PROJECT_NAME_LOWER} STATIC ${sources})
endif()

# Protobuf module does not have LIBRARIES but LIBRARY
message("ZeroMQ_LIBRARIES: ${ZeroMQ_LIBRARIES}")
target_link_libraries(${PROJECT_NAME_LOWER}
                      ${ZeroMQ_LIBRARIES}
                      ${uuid_LIBRARIES})

if(WIN32)
  target_link_libraries(${PROJECT_NAME_LOWER} ws2_32 Iphlpapi)
  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    target_link_libraries(${PROJECT_NAME_LOWER} ${PROTOBUF_LIBRARY_DEBUG})
  else()
    target_link_libraries(${PROJECT_NAME_LOWER} ${PROTOBUF_LIBRARY})
  endif()
else()
  target_link_libraries(${PROJECT_NAME_LOWER} ${PROTOBUF_LIBRARY})
endif()

ign_install_library(${PROJECT_NAME_LOWER})

add_dependencies(${PROJECT_NAME_LOWER} protobuf_compilation)

add_subdirectory(cmd)

=== tools/CMakeLists.txt ===
########################################
# Find the Ignition_Transport library
#find_package(ignition-transport QUIET REQUIRED)
#if (NOT ignition-transport_FOUND)
#  message (STATUS "Looking for libignition-transport - not found")
#  BUILD_WARNING ("ignition-transport not found, transport support will be disabled.")
#  set (HAVE_TRANSPORT OFF CACHE BOOL "HAVE TRANSPORT" FORCE)
#else ()
#  message (STATUS "Looking for libignition-transport - found")
#  set (HAVE_TRANSPORT ON CACHE BOOL "HAVE TRANSPORT" FORCE)
#endif ()

include_directories(
  ${CMAKE_BINARY_DIR}/test
)

set (test_sources
  ign_TEST.cc
)

if (IGNITION-TOOLS_BINARY_DIRS)
  ign_build_tests(${test_sources})
endif ()

=== example/msg/CMakeLists.txt ===
PROTOBUF_GENERATE_CPP(PROTO_SRC PROTO_HEADER
  int.proto
  stringmsg.proto
)

# Variables needed to propagate through modules
# If more than one layer of cmake use CACHE INTERNAL ...
#set (PROTO_SRCS_VAR ${PROTO_SRCS} CACHE INTERNAL "Sources variable")
set(PROTOBUF_INCLUDE_DIRS ${PROTOBUF_INCLUDE_DIRS} PARENT_SCOPE)
set(PROTOBUF_LIBRARIES ${PROTOBUF_LIBRARIES} PARENT_SCOPE)
set(PROTO_SRC ${PROTO_SRC} PARENT_SCOPE)
set(PROTO_HEADER ${PROTO_HEADER} PARENT_SCOPE)

add_custom_target(protobuf_compilation DEPENDS ${PROTO_SRC})

=== test/msg/CMakeLists.txt ===
PROTOBUF_GENERATE_CPP(PROTO_SRC PROTO_HEADER
  int.proto
  vector3d.proto
)

# Variables needed to propagate through modules
# If more than one layer of cmake use CACHE INTERNAL ...
#set (PROTO_SRCS_VAR ${PROTO_SRCS} CACHE INTERNAL "Sources variable")
set(PROTOBUF_INCLUDE_DIRS ${PROTOBUF_INCLUDE_DIRS} PARENT_SCOPE)
set(PROTOBUF_LIBRARIES ${PROTOBUF_LIBRARIES} PARENT_SCOPE)
set(PROTO_SRC ${PROTO_SRC} PARENT_SCOPE)
set(PROTO_HEADER ${PROTO_HEADER} PARENT_SCOPE)

add_custom_target(protobuf_compilation DEPENDS ${PROTO_SRC})

# Used by the examples.
ign_install_includes(${IGN_PROJECT_NAME}/test/msgs ${PROTO_HEADER})

=== include/ignition/transport/CMakeLists.txt ===
include (${project_cmake_dir}/Utils.cmake)

set (headers
  Discovery.hh
  HandlerStorage.hh
  Helpers.hh
  ign.hh
  NetUtils.hh
  Node.hh
  NodeShared.hh
  Packet.hh
  Publisher.hh
  RepHandler.hh
  ReqHandler.hh
  SubscriptionHandler.hh
  TopicStorage.hh
  TopicUtils.hh
  TransportTypes.hh
  Uuid.hh
)

#################################################
### Do not change the following

set (ign_headers "" CACHE INTERNAL "Ignition headers" FORCE)
foreach (hdr ${headers})
  APPEND_TO_CACHED_STRING(ign_headers
    "Ignition headers" "#include <ignition/${IGN_PROJECT_NAME}/${hdr}>\n")
endforeach()

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/ign_auto_headers.hh.in
  ${CMAKE_CURRENT_BINARY_DIR}/${IGN_PROJECT_NAME}.hh)

ign_install_includes("" ${CMAKE_CURRENT_BINARY_DIR}/${IGN_PROJECT_NAME}.hh)
ign_install_includes(${IGN_PROJECT_NAME} ${headers})

=== debian/changelog ===
ignition-transport (0.8.1+dfsg1-1build1) wily; urgency=medium

  * No-change rebuild against libprotobuf9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 18:45:02 +0000

ignition-transport (0.8.1+dfsg1-1) unstable; urgency=medium

  * ignition-transport 0.8.1-1 release (Closes: #783520)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2015 15:47:57 +0000

=== debian/control ===
Source: ignition-transport
Standards-Version: 3.9.6
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Testsuite: autopkgtest
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               python,
               ruby-ronn,
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ign-transport.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ign-transport.git
Homepage: http://ignitionrobotics.org/libraries/transport

Package: libignition-transport0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-transport-dev
Architecture: any
Section: libdevel
Depends: libignition-transport0 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Development files
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-transport0-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-transport0 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Debugging symbols
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

=== debian/tests/control ===
Tests: build
Depends: libignition-transport-dev, build-essential

## ignition-transport 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,11 @@
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
 
+set (PROJECT_MSGS_NAME ignition-transport-msgs)
+
 set (PROJECT_MAJOR_VERSION 0)
-set (PROJECT_MINOR_VERSION 8)
-set (PROJECT_PATCH_VERSION 1)
+set (PROJECT_MINOR_VERSION 9)
+set (PROJECT_PATCH_VERSION 0)
 
 set (PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION})
 set (PROJECT_VERSION_FULL ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})
@@ -22,6 +24,13 @@
 
 ##########
 # Package Creation:
+
+# If on windows, generate a file called version which host the current
+# version to be used by releasing scripts
+if (MSVC)
+  file(WRITE ${PROJECT_BINARY_DIR}/VERSION ${PROJECT_VERSION_FULL})
+endif()
+
 include (${project_cmake_dir}/cpack.cmake)
 set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_FULL}")
 set (CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_MAJOR_VERSION}")
@@ -48,6 +57,10 @@
 #################################################
 # Documentation:
 add_subdirectory(doc)
+
+# Configure documentation uploader
+configure_file("${project_cmake_dir}/upload_doc.sh.in"
+  ${CMAKE_BINARY_DIR}/upload_doc.sh @ONLY)
 
 # If we're configuring only to build docs, stop here
 if (DOC_ONLY)
@@ -248,7 +261,8 @@
   # Write the config.hh file
   configure_file (${project_cmake_dir}/config.hh.in
     ${PROJECT_BINARY_DIR}/include/ignition/${IGN_PROJECT_NAME}/config.hh)
-  ign_install_includes(${IGN_PROJECT_NAME}
+  ign_install_includes(
+    ${IGN_PROJECT_NAME}${PROJECT_MAJOR_VERSION}/ignition/${IGN_PROJECT_NAME}
     ${PROJECT_BINARY_DIR}/include/ignition/${IGN_PROJECT_NAME}/config.hh)
 
   include_directories(
@@ -267,7 +281,7 @@
 
   if (BUILD_IGNITION)
     set(TEST_TYPE "UNIT")
-    add_subdirectory(test/msg)
+    add_subdirectory(msgs)
     add_subdirectory(src)
     add_subdirectory(include)
     add_subdirectory(conf)
@@ -277,35 +291,39 @@
 
   ########################################
   # Make the package config files
-  configure_file(
-    ${CMAKE_SOURCE_DIR}/cmake/pkgconfig/ignition.in
-    ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${PROJECT_NAME_LOWER}.pc @ONLY)
-  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${PROJECT_NAME_LOWER}.pc
-    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
-    COMPONENT pkgconfig)
+  set (pkgconfig_files ${PROJECT_NAME_LOWER})
+
+  foreach (pkgconfig ${pkgconfig_files})
+    configure_file(${CMAKE_SOURCE_DIR}/cmake/pkgconfig/${pkgconfig}.in
+      ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${pkgconfig}${PROJECT_MAJOR_VERSION}.pc @ONLY)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${pkgconfig}${PROJECT_MAJOR_VERSION}.pc
+      DESTINATION ${LIB_INSTALL_DIR}/pkgconfig COMPONENT pkgconfig)
+  endforeach()
 
   ########################################
   # Make the cmake config files
   set(PKG_NAME ${PROJECT_NAME_UPPER})
-  set(PKG_LIBRARIES ${PROJECT_NAME_LOWER})
-  set(PKG_DEPENDS Protobuf)
+  set(PKG_LIBRARIES ${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION} ${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION})
+  set(cmake_conf_file "${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}-config.cmake")
+  set(cmake_conf_version_file "${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}-config-version.cmake")
 
   configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/ignition-config.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}-config.cmake" @ONLY)
-  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}-config.cmake
-    DESTINATION ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}
-    COMPONENT cmake)
-
-  ########################################
-  # If present, load platform-specific build hooks.  This system is used,
-  # for example, by the Ubuntu overlay, to arrange for installation of
-  # Ubuntu-specific application-launching configuration.
-  if (EXISTS ${PROJECT_SOURCE_DIR}/cmake/packager-hooks/CMakeLists.txt)
-    message(STATUS "Loading packager build hooks from cmake/packager-hooks")
-    add_subdirectory(cmake/packager-hooks)
-  endif()
-
-  message(STATUS "Configuration successful. Type make to compile
-  ${PROJECT_NAME_LOWER}")
-endif(build_errors)
+    "${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_file}" @ONLY)
+
+  # Use write_basic_package_version_file to generate a ConfigVersion file that
+  # allow users of gazebo to specify the API or version to depend on
+  # TODO: keep this instruction until deprecate Ubuntu/Precise and update with
+  # https://github.com/Kitware/CMake/blob/v2.8.8/Modules/CMakePackageConfigHelpers.cmake
+  include(WriteBasicConfigVersionFile)
+  write_basic_config_version_file(
+    ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
+    VERSION "${PROJECT_VERSION_FULL}"
+    COMPATIBILITY SameMajorVersion)
+
+  install(FILES
+    ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_file}
+    ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
+    ${PROJECT_SOURCE_DIR}/cmake/FindZeroMQ.cmake
+    DESTINATION ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}/ COMPONENT cmake)
+

=== conf/CMakeLists.txt ===
include (${project_cmake_dir}/Utils.cmake)

# Generate a configuration file.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "transport.yaml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/transport${PROJECT_MAJOR_VERSION}.yaml" @ONLY)


# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/transport${PROJECT_MAJOR_VERSION}.yaml DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

=== doc/CMakeLists.txt ===
find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(${CMAKE_SOURCE_DIR}/doc/ignition.in
                 ${CMAKE_BINARY_DIR}/ignition.dox @ONLY)

  add_custom_target(doc

    # Generate the API documentation
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/ignition.dox
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMAND cp ${CMAKE_SOURCE_DIR}/doc/ignition_logo.svg
            ${CMAKE_BINARY_DIR}/doxygen/html
    COMMAND cp ${CMAKE_SOURCE_DIR}/doc/search.js
            ${CMAKE_BINARY_DIR}/doxygen/html/search
    # COMMAND make -C ${CMAKE_BINARY_DIR}/doxygen/latex
    # COMMAND mv ${CMAKE_BINARY_DIR}/doxygen/latex/refman.pdf
    # ${CMAKE_BINARY_DIR}/doxygen/latex/ignition_${PROJECT_NAME}-${PROJECT_VERSION_FULL}.pdf

    COMMENT "Generating API documentation with Doxygen" VERBATIM)
endif()

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the Ignition_Transport library
find_package(ignition-transport0 QUIET REQUIRED)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-TRANSPORT_CXX_FLAGS}")
include_directories(${IGNITION-TRANSPORT_INCLUDE_DIRS})
link_directories(${IGNITION-TRANSPORT_LIBRARY_DIRS})

# Message generation
add_subdirectory(msgs)
set_source_files_properties(${PROTO_SRC} ${PROTO_HEADER}
                            PROPERTIES GENERATED TRUE)
include_directories(${CMAKE_BINARY_DIR})

# Generate examples
add_executable(publisher publisher.cc ${PROTO_SRC})
target_link_libraries(publisher ${IGNITION-TRANSPORT_LIBRARIES})
add_dependencies(publisher protobuf_compilation)

add_executable(subscriber subscriber.cc ${PROTO_SRC})
target_link_libraries(subscriber ${IGNITION-TRANSPORT_LIBRARIES})
add_dependencies(subscriber protobuf_compilation)

add_executable(responser responser.cc ${PROTO_SRC})
target_link_libraries(responser ${IGNITION-TRANSPORT_LIBRARIES})
add_dependencies(responser protobuf_compilation)

add_executable(requester requester.cc ${PROTO_SRC})
target_link_libraries(requester ${IGNITION-TRANSPORT_LIBRARIES})
add_dependencies(requester protobuf_compilation)

add_executable(requester_async requester_async.cc ${PROTO_SRC})
target_link_libraries(requester_async ${IGNITION-TRANSPORT_LIBRARIES})
add_dependencies(requester_async protobuf_compilation)

if (MSVC)
  # Copy the ZMQ DLLs.
  add_custom_command(TARGET publisher POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${ZeroMQ_ROOT_DIR}/bin/libzmq-v120-mt-3_2_4.dll"
    $<TARGET_FILE_DIR:publisher> VERBATIM)

  add_custom_command(TARGET publisher POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${ZeroMQ_ROOT_DIR}/bin/libzmq-v120-mt-gd-3_2_4.dll"
    $<TARGET_FILE_DIR:publisher> VERBATIM)
endif()

=== msgs/CMakeLists.txt ===
set(msgs
  int.proto
  vector3d.proto
)

add_executable(ignmsgs_out generator/IgnGenerator.cc generator/ign_generator.cc)

target_link_libraries(ignmsgs_out ${PROTOBUF_LIBRARY} ${PROTOBUF_PROTOC_LIBRARY})

if (UNIX)
  target_link_libraries(ignmsgs_out pthread)
endif()


# Need to add .exe to executable in windows
if (WIN32)
   set(ignmsgs_out_binary "ignmsgs_out.exe")
else()
   set(ignmsgs_out_binary "ignmsgs_out")
endif()

set(PROTO_SRCS)
set(PROTO_HDRS)
foreach(FIL ${msgs})
  get_filename_component(ABS_FIL ${FIL} ABSOLUTE)
  get_filename_component(FIL_WE ${FIL} NAME_WE)

  list(APPEND PROTO_SRCS "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.pb.cc")
  list(APPEND PROTO_HDRS "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.pb.h")

  add_custom_command(
    OUTPUT
      "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.pb.cc"
      "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.pb.h"
    COMMAND  ${PROTOBUF_PROTOC_EXECUTABLE}
    ARGS --plugin=protoc-gen-ignmsgs=${CMAKE_CURRENT_BINARY_DIR}/${ignmsgs_out_binary} --cpp_out=dllexport_decl=IGNITION_MSGS_VISIBLE:${CMAKE_CURRENT_BINARY_DIR} --ignmsgs_out ${CMAKE_CURRENT_BINARY_DIR} --proto_path ${CMAKE_CURRENT_SOURCE_DIR} ${ABS_FIL}
    DEPENDS ${ABS_FIL} ignmsgs_out
    COMMENT "Running C++ protocol buffer compiler on ${FIL}"
    VERBATIM )
endforeach()

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DBUILDING_DLL_IGNITION_MSGS")

set_source_files_properties(${PROTO_SRCS} ${PROTO_HDRS} PROPERTIES GENERATED TRUE)
ign_add_library(${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION} ${PROTO_SRCS})
if (UNIX)
  # Need to add default visibility to ignition-transport-msgs
  get_target_property(current_property ${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION} COMPILE_FLAGS)
  if(NOT current_property) # property non-existent or empty
    set_target_properties(${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION} PROPERTIES GENERATED TRUE COMPILE_FLAGS "-fvisibility=default")
  else()
    set_target_properties(${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION} PROPERTIES COMPILE_FLAGS "${current_property} -fvisibility=default")
  endif()
endif()

target_link_libraries(${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION} ${PROTOBUF_LIBRARY} ${PROTOBUF_PROTOC_LIBRARY})

ign_install_library(${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION})
add_dependencies(${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION} ignmsgs_out)

# Install the generated protobuf messages.
install(FILES ${PROTO_HDRS} DESTINATION
  ${INCLUDE_INSTALL_DIR}/${IGN_PROJECT_NAME}${PROJECT_MAJOR_VERSION}/ignition/${IGN_PROJECT_NAME}/msgs)

=== src/CMakeLists.txt ===
include (${project_cmake_dir}/Utils.cmake)

set (sources
  Discovery.cc
  ign.cc
  NetUtils.cc
  Node.cc
  NodeShared.cc
  Packet.cc
  Publisher.cc
  TopicUtils.cc
  Uuid.cc
)

set (gtest_sources
  Discovery_TEST.cc
  HandlerStorage_TEST.cc
  Node_TEST.cc
  Packet_TEST.cc
  Publisher_TEST.cc
  TopicStorage_TEST.cc
  TopicUtils_TEST.cc
  Uuid_TEST.cc
)

set_source_files_properties(${PROTO_SRC} ${PROTO_HEADER} PROPERTIES
                            GENERATED TRUE)
include_directories(${CMAKE_BINARY_DIR}/)
include_directories(${CMAKE_BINARY_DIR}/test/)

ign_build_tests(${gtest_sources})

if (UNIX)
  ign_add_library(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION} ${sources})
elseif(WIN32)
  # Probotuf compilation is recommended and configured for a STATIC .lib
  # Not mixing static and shared and just build ignition transport as STATIC
  # on Windows
  add_library(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION} STATIC ${sources})
endif()

# Protobuf module does not have LIBRARIES but LIBRARY
message("ZeroMQ_LIBRARIES: ${ZeroMQ_LIBRARIES}")
target_link_libraries(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}
                      ${ZeroMQ_LIBRARIES}
                      ${uuid_LIBRARIES}
                      ${PROJECT_MSGS_NAME}${PROJECT_MAJOR_VERSION})

if(WIN32)
  target_link_libraries(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}
                        ws2_32
                        Iphlpapi)
  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    target_link_libraries(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}
                          ${PROTOBUF_LIBRARY_DEBUG})
  else()
    target_link_libraries(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}
                          ${PROTOBUF_LIBRARY})
  endif()
else()
  target_link_libraries(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION}
                        ${PROTOBUF_LIBRARY})
endif()

ign_install_library(${PROJECT_NAME_LOWER}${PROJECT_MAJOR_VERSION})

add_subdirectory(cmd)

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 #endif ()
 
 include_directories(
+  ${CMAKE_BINARY_DIR}
   ${CMAKE_BINARY_DIR}/test
 )

=== example/msgs/CMakeLists.txt ===
PROTOBUF_GENERATE_CPP(PROTO_SRC PROTO_HEADER
  stringmsg.proto
)

# Variables needed to propagate through modules
# If more than one layer of cmake use CACHE INTERNAL ...
#set (PROTO_SRCS_VAR ${PROTO_SRCS} CACHE INTERNAL "Sources variable")
set(PROTOBUF_INCLUDE_DIRS ${PROTOBUF_INCLUDE_DIRS} PARENT_SCOPE)
set(PROTOBUF_LIBRARIES ${PROTOBUF_LIBRARIES} PARENT_SCOPE)
set(PROTO_SRC ${PROTO_SRC} PARENT_SCOPE)
set(PROTO_HEADER ${PROTO_HEADER} PARENT_SCOPE)

add_custom_target(protobuf_compilation DEPENDS ${PROTO_SRC})

=== include/ignition/CMakeLists.txt ===
add_subdirectory(transport)

=== src/cmd/CMakeLists.txt ===
include (${project_cmake_dir}/Utils.cmake)

# Generate a the ruby script.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
configure_file(
  "cmdtransport.rb.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmdtransport${PROJECT_MAJOR_VERSION}.rb" @ONLY)


# Install the ruby command line library in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmdtransport${PROJECT_MAJOR_VERSION}.rb DESTINATION lib/ruby/ignition)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  scopedTopic.cc
  twoProcessesPubSub.cc
  twoProcessesSrvCall.cc
  twoProcessesSrvCallStress.cc
  twoProcessesSrvCallSync1.cc
)

include_directories(SYSTEM ${CMAKE_BINARY_DIR}/test/)
link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(${tests})

# Skip auxiliary files in the test suite
set(IGN_SKIP_IN_TESTSUITE True)

set(auxiliary_files
  scopedTopicSubscriber_aux.cc
  twoProcessesPublisher_aux.cc
  twoProcessesPubSubSubscriber_aux.cc
  twoProcessesSrvCallReplier_aux.cc
  twoProcessesSrvCallReplierIncreasing_aux.cc
)

ign_build_tests(${auxiliary_files})

=== test/performance/CMakeLists.txt ===
set(TEST_TYPE "PERFORMANCE")

set(tests
)

link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(${tests})

=== debian/changelog ===
ignition-transport (0.9.0-3build1) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:20:49 +0000

ignition-transport (0.9.0-3) unstable; urgency=medium

  * Miss dependency on protobuf by libignition-transport0-dev
  * Fix URL is Vcs lines

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Jan 2016 14:29:00 +0000

ignition-transport (0.9.0-2) unstable; urgency=medium

  * Fix autotest using versioned -dev files

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Jan 2016 20:47:23 +0000

ignition-transport (0.9.0-1) unstable; urgency=medium

  * Imported Upstream version 0.9.0
  * Removed patches merged upstream
  * Back to setup the c++11 patch. Needed for building.
  * Fix patch to keep test compilation running
  * Transition to versioned -dev since API follow semantic versioning
  * Remove all -dev install file
  * Implement overrides for transport0
  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Nov 2015 02:00:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ignition-transport
 Standards-Version: 3.9.6
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: extra
@@ -17,8 +16,8 @@
                protobuf-compiler,
                uuid-dev,
                libzmq3-dev (>= 3.0.0)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ign-transport.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ign-transport.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ignition-transport.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/ignition-transport.git
 Homepage: http://ignitionrobotics.org/libraries/transport
 
 Package: libignition-transport0
@@ -38,12 +37,23 @@
  logging, 3D mesh management, and asynchronous message passing.
 
 Package: libignition-transport-dev
+Depends: libignition-transport0-dev, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package to libignition-transport0-dev
+ This is a transitional dummy package. It can safely be removed.
+
+Package: libignition-transport0-dev
 Architecture: any
 Section: libdevel
 Depends: libignition-transport0 (= ${binary:Version}),
          uuid-dev,
          libzmq3-dev (>= 3.0.0),
+         libprotobuf-dev,
          ${misc:Depends}
+Replaces: libignition-transport-dev (<< 0.9.0)
+Breaks: libignition-transport-dev (<< 0.9.0)
 Multi-Arch: same
 Description: Ignition Robotics transport Library - Development files
  Ignition transport library combines ZeroMQ with Protobufs to create a fast and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_auto_test \
        override_dh_strip 

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_CFLAGS:BOOL=False \
                -DUSE_UPSTREAM_CFLAGS:BOOL=False \
                -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	# Test are using networking heavily, disabled
	# since they can not run on the buil farm
	true

override_dh_strip:
	dh_strip -a --dbg-package=libignition-transport0-dbg

%:
	dh $@ --parallel --buildsystem=cmake

=== debian/tests/control ===
Tests: build
Depends: libignition-transport0-dev, pkg-config, build-essential

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://gazebosim.org/distributions/ign-transport/releases/ .*ignition-transport-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
